---
- name: Enable IPv4 forwarding
  sysctl:
    name: net.ipv4.ip_forward
    value: "1"
    state: present
    reload: yes

- name: Disable SWAP since kubernetes can't work with swap enabled (1/2)
  shell: |
    swapoff -a
    #  when: kubernetes_installed is changed

- name: Disable SWAP in fstab since kubernetes can't work with swap enabled (2/2)
  replace:
    path: /etc/fstab
    regexp: '^([^#].*?\sswap\s+sw\s+.*)$'
    replace: '# \1'
    #  when: kubernetes_installed is changed

- name: Enable cgroup via boot commandline if not already enabled for Ubuntu on a Raspberry Pi
  lineinfile:
    path: /boot/firmware/cmdline.txt
    backrefs: yes
    regexp: '^((?!.*\bcgroup_enable=cpuset cgroup_memory=1 cgroup_enable=memory\b).*)$'
    line: '\1 cgroup_enable=cpuset cgroup_memory=1 cgroup_enable=memory'
    #  notify: reboot

  #- name: Install Master
  #  include: master.yml
  #  when: inventory_hostname == master

  #- name: Install Nodes
  #  include: nodes.yml
  #  when: inventory_hostname in nodes

  #- name: Remove Script
  #file:
  # path: /tmp/k3s.sh
  # state: absent

  #- name: Start Service
  #systemd:
  #  state: started
  #    name: k3s
  #  enabed: yes
  #  masked: no

